md5init.c File Reference
`#include "digest.h"`
`#include "md5.h"`

Go to the source code of this file.

## Functions

void | Init_md5 ()

## Variables

static const rb_digest_metadata_t | md5

## Function Documentation

void Init_md5 | ( |  | ) |

Definition at line 27 of file md5init.c.

References Data_Wrap_Struct, rb_cObject, rb_define_class_under(), rb_intern, rb_ivar_set(), rb_path2class(), and rb_require().

## Variable Documentation

const rb_digest_metadata_t md5

static

Initial value:
= {
RUBY_DIGEST_API_VERSION,
MD5_DIGEST_LENGTH,
MD5_BLOCK_LENGTH,
sizeof(MD5_CTX),
(rb_digest_hash_init_func_t)MD5_Init,
(rb_digest_hash_update_func_t)MD5_Update,
(rb_digest_hash_finish_func_t)MD5_Finish,
}

Definition at line 11 of file md5init.c.